:root {
  --font-serif: Georgia, serif;
  --font-sans-serif: Inter, sans-serif;
  --font-mono: monospace;

  --color-bg-01: #fff;
  --color-bg-02: #aaa;

  --color-fg-01: #111;
  --color-fg-02: #181818;

  --color-border-01: #aaa;
  --color-border-02: #f0f0f4;

  --color-hl-01: #89723f;

  --border-radius: 8px;
  --border: 1px solid var(--color-border-01);

  --spacing-01: 8px;
  --spacing-q: calc(var(--spacing-01) * 0.25);
  --spacing-h: calc(var(--spacing-01) * 0.5);
  --spacing-02: calc(var(--spacing-01) * 2);
  --spacing-03: calc(var(--spacing-01) * 3);
  --spacing-04: calc(var(--spacing-01) * 4);
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-bg-01: #111;
    --color-bg-02: #181818;

    --color-fg-01: #fff;
    --color-fg-02: #aaa;

    --color-border-01: #444;
    --color-border-02: #333;
  }
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

p {
  text-wrap: pretty;
  max-width: 50ch;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 800;
  line-height: 1.1;
  text-wrap: balance;
}

h1 {
  max-width: 20ch;
}

h2,
h3 {
  max-width: 28ch;
}

button {
  text-align: center;
  cursor: pointer;
  color: var(--color-fg-02);
  background-color: var(--color-border-02);
  padding: var(--spacing-h) var(--spacing-01);
  border: none;
  border-radius: var(--border-radius);
  text-transform: uppercase;
  transition: all 0.2s ease;
}

button:hover {
  background-color: var(--color-bg-02);
  color: var(--color-fg-01);
}

a {
  color: currentColor;
  text-decoration-color: var(--color-hl-01);
  text-decoration-thickness: 0.3ex;
  text-underline-offset: 0.3ex;
}

article > * {
  max-width: 50ch;
}

blockquote {
  max-width: 50ch;
}

body,
html {
  color: var(--color-fg-01);
  background-color: var(--color-bg-01);
}

body {
  font-size: 1.5em;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  padding: var(--spacing-04);
  min-height: 100svh;
  display: flex;
  flex-flow: column;
  gap: var(--spacing-04);
  align-items: flex-start;
  justify-content: space-between;
  font-family: var(--font-mono);
}

section {
  width: 100%;
  gap: var(--spacing-01);
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
}

#site-main {
  width: 100%;
  flex: 1;
  display: flex;
  flex-flow: column;
  align-items: center;
  gap: var(--spacing-04);
}

#site-header,
#site-footer {
  width: 100%;
  padding: var(--spacing-01);
  text-align: center;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
}

.site-description {
  text-align: center;
}

.pdi-input-wrapper {
  gap: var(--spacing-h);
  background-color: var(--color-bg-01);
  border-radius: var(--border-radius);
  border: var(--border);
  border-style: dashed;

  padding-top: var(--spacing-02);
  padding-bottom: var(--spacing-02);
  padding-left: var(--spacing-02);
  padding-right: var(--spacing-02);

  display: flex;
  flex-flow: row;
  align-items: center;
  justify-content: center;
  cursor: pointer;

  position: relative;
  width: 100%;
  max-width: 500px;
  min-height: 250px;
}

.pdi-input-wrapper:hover {
  border-style: solid;
  border-color: var(--color-fg-01);
}

.pdi-input-wrapper input {
  cursor: pointer;
  opacity: 0;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}
